osl::eval::ml::EnterKingDefense Class Reference

`#include <kingTable.h>`

## Public Types

enum | { DIM = (8+8+8+8)*3 }

## Static Public Member Functions

static void | setUp (const Weights &weights)
static int | eval (const NumEffectState &state)

## Static Private Member Functions

template<Player KingOwner>
static int | evalOne (const NumEffectState &state)

## Static Private Attributes

static CArray< int, DIM > | table

## Detailed Description

Definition at line 1006 of file kingTable.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
DIM |

Definition at line 1009 of file kingTable.h.

## Member Function Documentation

## eval()

int osl::eval::ml::EnterKingDefense::eval | ( | const NumEffectState & | state | ) |

static

Definition at line 2007 of file kingTable.cc.

References evalOne().

Referenced by osl::eval::ml::OpenMidEndingEval::debugInfo(), osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval(), and osl::eval::ml::OpenMidEndingEval::updateSub().

## evalOne()

template<osl::Player KingOwner>

int osl::eval::ml::EnterKingDefense::evalOne | ( | const NumEffectState & | state | ) |

static private

Definition at line 1983 of file kingTable.cc.

References osl::Piece::isEdge(), osl::Piece::isEmpty(), osl::SimpleState::kingSquare(), osl::Piece::owner(), osl::PAWN, osl::SimpleState::pieceAt(), osl::Piece::ptype(), osl::sign(), osl::Square::squareForBlack(), table, osl::Square::x(), and osl::Square::y().

Referenced by eval().

## setUp()

void osl::eval::ml::EnterKingDefense::setUp | ( | const Weights & | weights | ) |

static

Definition at line 2014 of file kingTable.cc.

References osl::eval::ml::Weights::dimension(), table, and osl::eval::ml::Weights::value().

## Member Data Documentation

## table

osl::CArray< int,(8+8+8+8) *3 > osl::eval::ml::EnterKingDefense::table

static private

Definition at line 1015 of file kingTable.h.

Referenced by evalOne(), and setUp().

The documentation for this class was generated from the following files:

- kingTable.h
- kingTable.cc